ThessHack - Wiki Hackathon
Closed, ResolvedPublic

Description

This is a placeholder to keep track of ThessHack - Wiki Hackathon scheduled to be held in Thessaloniki in October 15, 2016 as a pre-event of Wikimedia Hackathon 2017.

This is connected to https://phabricator.wikimedia.org/project/view/1919/

The entire event will be available online via KEDEA's live streaming

There will be a live broadcast of the award ceremony in SheSharp's facebook page

Photos: https://commons.wikimedia.org/wiki/Category:Thesshack_2016

Final video: https://www.youtube.com/watch?v=9m8ry6NeuBk

The live streaming video record: https://www.auth.gr/video/21554 (apprx. 8 hours!)

Organisers:

Invited speakers:

  • Marios Magioladitis
  • Charalampos Bratsas
  • Ariel T. Glenn
  • Konstantinos Stampoulis

The event will take place at http://kedea.rc.auth.gr/info.html

Catering is sponsored by e-FOOD.gr

Follow us on Facebook: https://www.facebook.com/events/333420780326262/

Registration form: https://docs.google.com/forms/d/e/1FAIpQLScndvfWK2sggLG7jYiVjhHXM2tQjjszYBQuB-M_2Sfvf_xx2g/viewform

Blog post: http://blog.wikimedia.gr/2016/10/1401/

Promo video: https://www.youtube.com/watch?v=vfx9LkALI6c

Program:

9:00 – 9:30 - Registrations - Coffee

9:30 – 10:00 - Welcome / Short presentation of the three organizers (SheSharp / Konstantinos Stampoulis “geraki” / Dr. Charalampos Bratsas)

10:00 - 10:10 -theSShack Guidelines (M. Magioladitis)

10:10 - 10:20 - DBpedia (Ch. Bratsas)

10:20 - 10:30 - API (A. Glenn)

10:30 – 10:40: Phabricator (M. Magioladitis) (Video)

10:40 – 11:00: The code behind AutoWikiBrowser (M. Magioladitis)

11:00 – 13:30 Hacking

13:30 – 14:30 - Food by e-FOOD.gr & Networking Break

14:30 – 18:30 - Hacking

18:30 – 19:00 - Closing Ceremony – Awards

19:00 - 03:00 After party

Awards:

2 people will receive full scholarships to participate in Wikimedia Hackathon 2017 in Vienna
2 people will receive a free pas ticket to participate in Voxxed Days (tech event) in Thessaloniki
2 people will receive Wikipedia t-shirts

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2016, 9:09 PM
Magioladitis updated the task description. (Show Details)Sep 21 2016, 9:11 PM
Magioladitis updated the task description. (Show Details)
Magioladitis added a subscriber: Glavkos.
Aklapper moved this task from Backlog to Team radar on the Developer-Advocacy board.
Magioladitis added a subscriber: thiemowmde.
Magioladitis updated the task description. (Show Details)Sep 27 2016, 4:51 PM
Qgil added a subscriber: Qgil.Sep 27 2016, 9:16 PM

Very cool!

Magioladitis added a comment.EditedSep 27 2016, 9:45 PM

@Qgil I had email exchange with @Claudia.Garad and the top 2 contributors in this event will be joining the Hackathon 2016 in Austria with a WMF scholarship.

We need help to determine which bugs we would like the students to work with.

I also asked help from the Wikidata team for that.

I will be providing my AWB wishlist too. :)

Any further ideas are welcome.

@Aklapper might have a better sense of good bugs to take on, but in any case:

Also, have you contacted other developers in Greece, volunteers or Foundation members? If needed, we have a modest travel sponsorship budget to support events like this. I don't know about volunteers near Thessaloniki, but I wonder whether i.e. @ArielGlenn would be interested in gathering some tasks and interest around Dumps-Rewrite or something in that area?

Qgil added a subscriber: Rfarrand.Sep 28 2016, 6:45 AM

I think I've just been called and asked to show up at this. Hrm. What could I contribute, I wonder....

ArielGlenn is member of the user group and was already aware of the Hackathon. Ariel's active participation is a very good idea.

Wow. Thank you @Qgil for the introduction.

From what I could see from previous code-contribution hackathons, having similar-easy to fix task makes things go great. Like a tracking parent bug with enough similar tasks, of which one or two are already fixed. I ask participants to go through the already fixed one, and try to understand the logic and implemetn the same for the other open bugs.

Let me pull in some examples:

  • Take a look at https://phabricator.wikimedia.org/T145728 - it has child tasks which are to do similar stuff, and have one or two of them already fixed. I was asking people to work on Article::fetchContent() and WikiPage::doEdit() - while there are couple of more over there (atleast 10-15 really easy). The task by itself might look trivial, but can be a very good first bug!
  • I will search for more, and add over here.

We also had something to do with py-wikibot running parallel, as not everyone in the room might be interested in working with PHP. @AbdealiJK had a super cool assignment hosted somewhere in PAWS, that was given to participants.

Magioladitis updated the task description. (Show Details)Sep 29 2016, 9:10 AM

@Qgil We can translate the documentation before the event.

I think @Qgil was suggesting fixing up the template data for the templates
(including translation) as a task *for* the event, not as a prerequisite.

Ok.good idea
Στις 29 Σεπ 2016 3:09 ΜΜ, ο χρήστης "Mvolz" <
no-reply@phabricator.wikimedia.org> έγραψε:

Mvolz added a comment.

I think @Qgil https://phabricator.wikimedia.org/p/Qgil/ was suggesting
fixing up the template data for the templates
(including translation) as a task *for* the event, not as a prerequisite.

*TASK DETAIL*
https://phabricator.wikimedia.org/T146327

*EMAIL PREFERENCES*
https://phabricator.wikimedia.org/settings/panel/emailpreferences/

*To: *Magioladitis, Mvolz
*Cc: *Reedy, Mvolz, AbdealiJK, Rfarrand, 01tonythomas, ArielGlenn, Qgil,
Lucie, thiemowmde, Amaliavr, Glavkos, geraki, Claudia.Garad, Magioladitis,
Aklapper, Malyacko, Gryllida, jeremyb

Given that there will be awards for the best work done at this hackathon, there ought to be guidelines on what that means (how will work be rated?) and then ideas proposed for work or bugs to be fixed chosen so that anyone who works on them is going to qualify. It would be a bummer for someone to fix up a number of small easy bugs, clearing out a nice backlog, and then not be considered for an award because the work is 'too easy' or something like that.

Magioladitis updated the task description. (Show Details)Oct 4 2016, 10:18 AM
Magioladitis updated the task description. (Show Details)Oct 4 2016, 10:22 AM
Magioladitis updated the task description. (Show Details)Oct 4 2016, 2:25 PM
This comment was removed by Magioladitis.

Do we have a list of possible features/bugs for those who may have trouble getting started?

Magioladitis updated the task description. (Show Details)Oct 4 2016, 5:18 PM

Do we have a list of possible features/bugs for those who may have trouble getting started?

T146327#2673241 (and mw:How to become a MediaWiki hacker ) link to Annoying little bugs which lists queries for Easy bugs per functionality area. I don't think we offer other lists (e.g. sorting by programming language or such).

Official announcement:

SheSharp Greece, Wikimedia User Group Greece, ACM Student Chapter AUTH and OKFN Greece are coming together to use technology and transform ideas into reality! This time we're improving the way our favourite encyclopaedia #Wikipedia works in an all day #hackathon where everyone is welcome. Take your laptops and join us for a day of fun and innovation. Oh, and the winners get 2 full scholarships to attend Wikimedia Hackathon 2017 in Vienna on May!

Magioladitis updated the task description. (Show Details)Oct 9 2016, 10:05 PM
Magioladitis updated the task description. (Show Details)Oct 9 2016, 10:36 PM
Reedy removed a subscriber: Reedy.Oct 9 2016, 10:54 PM
Magioladitis updated the task description. (Show Details)Oct 10 2016, 9:53 AM
Magioladitis updated the task description. (Show Details)Oct 17 2016, 9:55 AM
Magioladitis updated the task description. (Show Details)
Qgil added a comment.Oct 17 2016, 1:04 PM

How did it go? :)

Magioladitis updated the task description. (Show Details)Oct 17 2016, 1:14 PM

@Qgil It went great. Lot of university students participated. Some people probably would like more of a workshop. We now know want to do better next year. A press release in English will be available soon! I just came back home.

We still have to release:

  • Video of the event
  • Photos
  • A report

Stay tuned!

Qgil awarded a token.Oct 17 2016, 5:24 PM

I attended ThessHack and I've got to say it was a great day! Lots of people from the local community assembled and we got to know each other and learn more about our interests.

Being a CS student I was mostly interested in the technical side of the hackathon and the event delivered. The talks were very informative and the hacking part was really fun. Since many university students showed up, it would be nice to have a workshop arranged as @Magioladitis mentioned with a more specific target. I believe it would be easier for most of the students to get their hands dirty this way.

Personally, I attempted to find out more about Pywikibot and I managed to submit a patch for an "Easy" task so got to know the workflow. I intend to work more on that as far as I can.

So, all in all, it was a really fun day, most of the attendants I met loved the atmosphere and we got motivated to keep in touch with the community afterwards. I am looking forward to the next gathering :)

I asked the top 2 contributors @OdysseasKr and @ftsalamp to write down their impressions from the event.

Hello everyone! Sorry it took me so long to post :)

My name is Fotis and I am an Information Technology Engineer student at ATEITh. I have some experience with Android app development so at the hackathon I worked on Android bugs.

I was really excited to attend the event! (Best way to spend a Saturday). I really enjoyed the talks that preceded the hackathon but I have one pointer for next time.

I didn’t find the way we pushed our bug fixes though Gerrit very user friendly. The instructions were a bit confusing and that resulted in me spending a tremendous amount of time trying to understand how things work and constantly asking for @OdysseasKr and @ArielGlenn for help.
So it would be useful if there would be a workshop or a detailed presentation on that next time.

Overall it was a great experience! The organizers did an amazing job and everyone left waiting for the next event!

I didn’t find the way we pushed our bug fixes though Gerrit very user friendly. The instructions were a bit confusing and that resulted in me spending a tremendous amount of time trying to understand how things work and constantly asking for @OdysseasKr and @ArielGlenn for help.
So it would be useful if there would be a workshop or a detailed presentation on that next time.

Hey. This exact thing is tracked in https://phabricator.wikimedia.org/T134256. If you can come across with some stages where you thought the documentation looked bad, please comment.

Great to know about the Hackahton, and I guess you were following https://www.mediawiki.org/wiki/Gerrit/Tutorial

@ftsalamp I would love it if you would write up a ticket describing in detail your experienece trying to get the change into gerrit. I think we who live and breathe the system every day don't have a clue how hard it is for the first time user, or for someone who may not want to make commits every other day.

It's not just about instructions; that's a lot of steps for someone to just
upload a patch for review (set up a gerrit account, upload an ssh key,
install python in order to have git-review, configure git, etc). Maybe we
can find a one or at most two-click approach for someone's first
contribution, and after they've decided to stick around awhile we can get
them suckered into setting up a gerrit account :-)

[offtopic]

Maybe we can find a one or at most two-click approach for someone's first
contribution

Currently, https://www.mediawiki.org/wiki/Gerrit/Tutorial#Push_your_change_set_to_Gerrit links to https://www.mediawiki.org/wiki/Gerrit_patch_uploader - maybe needs to be moved up?

Final Report of the event

Thesshack - Wikimedia Hackathon

The Wikimedia Community User Group Greece in cooperation with SheSharp Greece, the Greek section of the Open Knowledge Foundation and the official student branch of the ACM at Aristotle University, along with the support of Wikimedia Österreich, organised a code editing marathon (hackathon) on Saturday, October 15 in Thessaloniki. The event was entitled ThessHack - Wikimedia Hackathon.

ThessHack aimed to improve the functioning of the free encyclopedia Wikipedia and its related sites that support it, to correct problems and to create new tools that will make more content available or make contribution easier.

The event was divided into two parts. In the first part, through lectures with slides, the attendees were given the ability and opportunity to learn about the technical aspects of Wikipedia from developers, to take a deep dive into related technologies (Mediawiki API, python, etc.) and generally into Open Source philosophy and Open Knowledge.

In the second part, participants in groups had the opportunity, with help and guidance, to try out these technical aspects and develop their skills that could be useful in other fields. Even participants without programming knowledge could help in areas such as translation and adaptation of the Wikipedia software.

Participation was great considering the fact that the topic was very specialized. Approximately 100 people attended the talks and participated in the hackathon. The results were very satisfactory and encouraging as developers without any particular exposure to Wikipedia apps were able to understand how they work and correct small errors, showing abilities to contribute in collaboration with others. Also many began to create new features or developed ideas that may be implemented in the future.

The two programmers with the most significant contributions that showed skills at reading and fixing code that until that moment was unfamiliar to them, were given scholarships to participate in the international developers’ conference Wikimedia Hackathon 2017 in Vienna in May 2017. Two students won free tickets to the tech conference Voxxed Days in Thessaloniki. T-shirts were given to other participants.

Scholarships for participation in Wikimedia Hackathon 2017 in Vienna were won by:
Krystalakos Odyssefs
Tsalampounis Fotios

Free participation in Voxxed Days in Thessaloniki was won by:
Karatakis Panagiotis
Pierros Ioannis

The participants mainly developed code for Android and pywikibot, while some groups of programmers were involved with the translation of tools into Greek.

We thank all the organizers, the Aristotle University Research Dissemination Centre for providing us its Amphitheater 2 Centre and e-FOOD.gr for food sponsorship. We note that this was the first wiki hackathon organized in Greece ,and internationally the first local hackathon connected with the annual international Wikimedia Hackathon. The success of this event prepares us for significant contributions by Greeks developers and also spurs us to organise even bigger events in this field in the future.

Qgil triaged this task as Normal priority.
Magioladitis updated the task description. (Show Details)Nov 13 2016, 2:03 PM

Thanks everybody! Is there more to do / follow up on in this task, or can this be closed as resolved?

Magioladitis closed this task as Resolved.Nov 18 2016, 10:23 AM